com.gemstone.gbj

## Class GbxConstants

- java.lang.Object
- - com.gemstone.gbj.GbxConstants

-     public final class GbxConstants
      extends java.lang.Object

  Constants used internally by GBJ

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `addDictionaryString`
    `static java.lang.String` | `addProtocolString`
    `static java.lang.String` | `browseClassString`
    `static java.lang.String` | `browseHierarchyString`
    `static java.lang.String` | `browseImplementorsString`
    `static java.lang.String` | `browseReferencesString`
    `static java.lang.String` | `browseSendersString`
    `static java.lang.String` | `classVarRefsString`
    `static java.lang.String` | `fileOutClassString`
    `static java.lang.String` | `fileOutDictionaryString`
    `static java.lang.String` | `fileOutMethodString`
    `static java.lang.String` | `findClassString`
    `static java.lang.String` | `findMethodString`
    `static java.lang.String` | `fontNameString`
    `static java.lang.String` | `fontSizeString`
    `static java.lang.String` | `instVarRefsString`
    `static java.lang.String` | `messagesString`
    `static java.lang.String` | `methodString`
    `static java.lang.String` | `migrateInstancesString`
    `static java.lang.String` | `moveClassString`
    `static java.lang.String` | `moveMethodString`
    `static java.lang.String` | `moveVersionString`
    `static java.lang.String` | `noClassString`
    `static java.lang.String` | `noDictionaryString`
    `static java.lang.String` | `noMethodString`
    `static java.lang.String` | `noProtocolString`
    `static java.lang.String` | `noSessionString`
    `static java.lang.String` | `NOT_CONNECTED`
    `static java.lang.String` | `postClassDefinition`
    `static java.lang.String` | `postClassDefinition32`
    `static java.lang.String` | `preClassDefinition`
    `static java.lang.String` | `removeClassString`
    `static java.lang.String` | `removeDictionaryString`
    `static java.lang.String` | `removeMethodString`
    `static java.lang.String` | `removeProtocolString`
    `static java.lang.String` | `renameDictionaryString`
    `static java.lang.String` | `renameProtocolString`
    `static java.lang.String` | `securityExceptionString`
    `static java.lang.String` | `substringSearchString`
    `static java.lang.String` | `VERSION_STRING`
    `static java.lang.String` | `versionString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbxConstants()` Creates new GbjConstants

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_CONNECTED

          public static final java.lang.String NOT_CONNECTED

      See Also:
        Constant Field Values

    - #### VERSION_STRING

          public static final java.lang.String VERSION_STRING

      See Also:
        Constant Field Values

    - #### preClassDefinition

          public static final java.lang.String preClassDefinition

      See Also:
        Constant Field Values

    - #### postClassDefinition

          public static final java.lang.String postClassDefinition

      See Also:
        Constant Field Values

    - #### postClassDefinition32

          public static final java.lang.String postClassDefinition32

      See Also:
        Constant Field Values

    - #### noDictionaryString

          public static final java.lang.String noDictionaryString

      See Also:
        Constant Field Values

    - #### noClassString

          public static final java.lang.String noClassString

      See Also:
        Constant Field Values

    - #### noProtocolString

          public static final java.lang.String noProtocolString

      See Also:
        Constant Field Values

    - #### noMethodString

          public static final java.lang.String noMethodString

      See Also:
        Constant Field Values

    - #### methodString

          public static final java.lang.String methodString

      See Also:
        Constant Field Values

    - #### fileOutDictionaryString

          public static final java.lang.String fileOutDictionaryString

      See Also:
        Constant Field Values

    - #### fileOutClassString

          public static final java.lang.String fileOutClassString

      See Also:
        Constant Field Values

    - #### fileOutMethodString

          public static final java.lang.String fileOutMethodString

      See Also:
        Constant Field Values

    - #### addDictionaryString

          public static final java.lang.String addDictionaryString

      See Also:
        Constant Field Values

    - #### renameDictionaryString

          public static final java.lang.String renameDictionaryString

      See Also:
        Constant Field Values

    - #### findClassString

          public static final java.lang.String findClassString

      See Also:
        Constant Field Values

    - #### addProtocolString

          public static final java.lang.String addProtocolString

      See Also:
        Constant Field Values

    - #### renameProtocolString

          public static final java.lang.String renameProtocolString

      See Also:
        Constant Field Values

    - #### moveMethodString

          public static final java.lang.String moveMethodString

      See Also:
        Constant Field Values

    - #### messagesString

          public static final java.lang.String messagesString

      See Also:
        Constant Field Values

    - #### moveClassString

          public static final java.lang.String moveClassString

      See Also:
        Constant Field Values

    - #### instVarRefsString

          public static final java.lang.String instVarRefsString

      See Also:
        Constant Field Values

    - #### classVarRefsString

          public static final java.lang.String classVarRefsString

      See Also:
        Constant Field Values

    - #### findMethodString

          public static final java.lang.String findMethodString

      See Also:
        Constant Field Values

    - #### removeDictionaryString

          public static final java.lang.String removeDictionaryString

      See Also:
        Constant Field Values

    - #### removeClassString

          public static final java.lang.String removeClassString

      See Also:
        Constant Field Values

    - #### removeProtocolString

          public static final java.lang.String removeProtocolString

      See Also:
        Constant Field Values

    - #### removeMethodString

          public static final java.lang.String removeMethodString

      See Also:
        Constant Field Values

    - #### securityExceptionString

          public static final java.lang.String securityExceptionString

      See Also:
        Constant Field Values

    - #### noSessionString

          public static final java.lang.String noSessionString

      See Also:
        Constant Field Values

    - #### browseImplementorsString

          public static final java.lang.String browseImplementorsString

      See Also:
        Constant Field Values

    - #### browseSendersString

          public static final java.lang.String browseSendersString

      See Also:
        Constant Field Values

    - #### browseReferencesString

          public static final java.lang.String browseReferencesString

      See Also:
        Constant Field Values

    - #### substringSearchString

          public static final java.lang.String substringSearchString

      See Also:
        Constant Field Values

    - #### fontNameString

          public static final java.lang.String fontNameString

      See Also:
        Constant Field Values

    - #### fontSizeString

          public static final java.lang.String fontSizeString

      See Also:
        Constant Field Values

    - #### browseClassString

          public static final java.lang.String browseClassString

      See Also:
        Constant Field Values

    - #### browseHierarchyString

          public static final java.lang.String browseHierarchyString

      See Also:
        Constant Field Values

    - #### versionString

          public static final java.lang.String versionString

      See Also:
        Constant Field Values

    - #### moveVersionString

          public static final java.lang.String moveVersionString

      See Also:
        Constant Field Values

    - #### migrateInstancesString

          public static final java.lang.String migrateInstancesString

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GbxConstants

          public GbxConstants()

      Creates new GbjConstants